Subject: Re: bug#12443: 24.2.50; Default values in the minibuffer prompt (fix inconsisntecy)

From: Stefan Monnier <[email-masked]>
Date: Fri, 14 Sep 2012 15:41:49 -0400

>>> I see no reason for this inconsistency,
>> Agreed.  The officially sanctioned behavior is to use "(default ...)".
> Then all commands should be consistent on that.

Agreed.

> (Anyway, I don't understand why the way of formatting the default
> value in the prompt string should make the job of this mode harder,
> because if we know what the default value is and how is formatted in
> the prompt string, it should be trivial to identify that part at the
> right side of the prompt string.  Maybe I'm missing something...)

The problem is that we don't always know how it is formatted in the
prompt (it might be a shortened version, for example).

> Thanks, but if we agree that there is a problem here (or there is room
> for improvement), it would be better to fix this in the vanilla Emacs.

It's a matter of taste (some people prefer the "(default ...)").

        Stefan